summaryrefslogtreecommitdiffstats
path: root/abs
diff options
context:
space:
mode:
Diffstat (limited to 'abs')
-rw-r--r--abs/core-testing/linhes-scripts/PKGBUILD2
-rwxr-xr-xabs/core-testing/linhes-scripts/screenshooter.sh15
2 files changed, 11 insertions, 6 deletions
diff --git a/abs/core-testing/linhes-scripts/PKGBUILD b/abs/core-testing/linhes-scripts/PKGBUILD
index fb66bff..de72624 100644
--- a/abs/core-testing/linhes-scripts/PKGBUILD
+++ b/abs/core-testing/linhes-scripts/PKGBUILD
@@ -3,7 +3,7 @@
pkgname=linhes-scripts
pkgver=1
-pkgrel=23
+pkgrel=24
pkgdesc="Various scripts that help to make LinHES, LinHES."
arch=('i686' 'x86_64')
license=('GPL2')
diff --git a/abs/core-testing/linhes-scripts/screenshooter.sh b/abs/core-testing/linhes-scripts/screenshooter.sh
index 9e35786..94ea6fd 100755
--- a/abs/core-testing/linhes-scripts/screenshooter.sh
+++ b/abs/core-testing/linhes-scripts/screenshooter.sh
@@ -87,11 +87,16 @@ if [ ! -d "$VIDEO_CAPTURE_HOME" ] ; then
fi
VIDEO_HOME=$(mysql -u $DBUSERNAME --password=$DBPASSWORD -h $BACKEND_HOSTNAME mythconverg -sNBe "select data from settings where value='VideoStartupDir' limit 1")
-if [ ! -d "$VIDEO_HOME" ] ; then
- echo "Directory $VIDEO_HOME does not exist, nowhere to put the screen shot!"
- echo "Have you configured MythVideo yet?"
- exit 1
-fi
+VIDEO_HOME=(${VIDEO_HOME//:/ });
+VIDEO_HOME_COUNT=${#VIDEO_HOME[@]}
+for (( i=0; i<${VIDEO_HOME_COUNT}; i++ ));
+do
+ if [ ! -d "${VIDEO_HOME[${i}]}" ] ; then
+ echo "Directory ${VIDEO_HOME[${i}]} does not exist, nowhere to put the screen shot!"
+ echo "Have you configured MythVideo yet?"
+ exit 1
+ fi
+done
VIDEO_FILENAME=$(basename "$VIDEO_PATHNAME")
VIDEO_EXTENSION=${VIDEO_FILENAME##*.}